package com.sv.mapper;
import com.sv.entity.MemberWithdrawApply;
import org.apache.ibatis.annotations.Param;


import javax.xml.crypto.Data;
import java.math.BigDecimal;
import java.util.List;

/**
 * Mapper - 用户提现申请
 *
 * @author yechanglin
 * @since 2018-08-03
 */
public interface MemberWithdrawApplyMapper {

    /**
     * 新建用户提现申请
     *
     * @param memberWithdrawApply 用户提现申请
     */
    void insert(MemberWithdrawApply memberWithdrawApply);

    /**
     * 更新用户提现申请
     *
     * @param memberWithdrawApply 用户提现申请
     */
    void update(MemberWithdrawApply memberWithdrawApply);

    /**
     * 删除用户提现申请
     *
     * @param id 编号
     * @return 删除数量
     */
    int delete(Integer id);

    /**
     * 删除用户提现申请
     *
     * @param ids 编号数组
     * @return 删除数量
     */
    int deleteByIds(Integer[] ids);

    /**
     * 查询用户提现申请
     *
     * @param id 编号
     * @return 用户提现申请
     */
    MemberWithdrawApply findById(Integer id);

    /**
     * 查询用户提现申请
     *
     * @return 用户提现申请集合
     */
    List<MemberWithdrawApply> findAll();

    /**
     * 更新状态
     *
     * @param ids 编号
     * @param status 状态dataTime
     * @return 更新数量
     */
    int updateStatus(@Param("ids") Integer[] ids, @Param("status") Byte status, @Param("dataTime") String dataTime,
                     @Param("memberId") Integer memberId);


}